#ifndef _UDM_FILTER_H
#define _UDM_FILTER_H

/* Allow/Disallow/CheckOnly constants*/

/* Command type */
#define UDM_NOTFOUND	0
#define UDM_ALLOW	1
#define UDM_DISALLOW	2
#define UDM_HEAD	3
#define UDM_HREFONLY	4

/* Comparison flags */
#define UDM_FILTER_MATCH	1
#define UDM_FILTER_CS		2
#define UDM_FILTER_REGEX	4


extern int  UdmAddFilterStr(UDM_ENV * Conf,char * str,int cmd);
extern __C_LINK int __UDMCALL UdmAddFilter(UDM_ENV * Conf,char * filter,int type,int flags);

extern void UdmFreeFilters(UDM_ENV * Conf);
extern int  UdmFindFilter(UDM_ENV * Conf,char * param,char * reason);

#endif
