#ifndef _UDM_SPELL_H
#define _UDM_SPELL_H

#include "udm_services.h"

extern char **	UdmNormalizeWord(UDM_AGENT * Indexer,const char *word);
extern __C_LINK int	UdmImportAffixes(UDM_ENV * Conf,const char *lang, const char *filename, UDM_AGENT *, int);
extern __C_LINK int	__UDMCALL UdmImportDictionary(UDM_ENV * Conf,const char *lang,const char *filename, int skip_noflag, const char *first_letters);
extern __C_LINK int	__UDMCALL	UdmDBImportDictionary(UDM_AGENT * Indexer,const char *lang,const char *filename, int);
extern int		UdmSetIspellMode(UDM_ENV *,int mode);

extern int		UdmAddSpell(UDM_ENV * Conf,const char * word,const char *flag,const char *lang);
extern int		UdmAddAffix(UDM_ENV * Conf,int flag,const char * lang,const char *mask,const char *find,const char *repl,int type);
extern __C_LINK void __UDMCALL UdmSortDictionary(UDM_ENV * Conf);
extern __C_LINK void __UDMCALL UdmSortAffixes(UDM_ENV * Conf);
extern int		UdmSelectSpellLang(UDM_ENV *Conf, char *lang);
extern void		UdmSelectLang(UDM_AGENT *Indexer, char *lang);
extern int		UdmLoadSpellFromServer(UDM_ENV *Conf, char *hostname);
extern char **	UdmNormalizeWordFromServer(UDM_AGENT * Indexer,const char *word);
extern void		UdmFreeIspell (UDM_ENV *Conf);
extern ssize_t recvall(int s, void *buf, size_t len, int flags);

#endif
